Bug 409451 - fence_scsi: request for better error if node to fence doesn't exist
Summary: fence_scsi: request for better error if node to fence doesn't exist
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ryan O'Hara
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 455328
TreeView+ depends on / blocked
 
Reported: 2007-12-03 21:40 UTC by Corey Marthaler
Modified: 2009-10-13 15:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-13 15:51:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2007-12-03 21:40:45 UTC
Description of problem:
I forgot I was using the other nic interface and it took me a lot of debugging
before I rememebered to use the correct name

[root@taft-04 ~]# fence_scsi -n taft-03
Unable to execute sg_persist (/dev/sdb1).

[root@taft-04 ~]# fence_scsi -n taft-03-e2

A message like "taft-03 doesn't exist in this cluster" would be more helpful.

Version-Release number of selected component (if applicable):
fence-1.32.50-2.fencescsi.test.patch

Comment 1 Ryan O'Hara 2008-09-04 21:03:24 UTC
The easiest way to fix this is to just check the nodeid after the script calls get_node_id() when generating the key. The get_node_id() routine does an XML query agaist the cluster.conf to get the nodeid for the nodename. So if the node is not part of the cluster, the nodeid will be zero.

The downside to this is that we can't distinguish between a missing nodeid or a nodename that doesn't exist. Is that ok? The error would simple be something like "Unable to determine nodeid for node <nodename>". Not exactly the same thing was saying "Hey! This node doesn't exist, but definitely an improvement.

Comment 2 Ryan O'Hara 2008-09-04 21:28:04 UTC
Fixed in RHEL5.

As mentioned above, the script will simply check to see the nodeid we get from the XML query of cluster.conf. If nodeid is zero, then either the node does not exist in this cluster or the nodeid is not set. Either case is invalid, so we report and error and exit.

Comment 3 Ryan O'Hara 2008-09-04 21:39:16 UTC
Sorry, meant to say fixed in RHEL4. Although it is fixed in RHEL5, too .. that is a different BZ.


Note You need to log in before you can comment on or make changes to this bug.